Bug 487495 - Needs tmpwatch but does not depend on it
Needs tmpwatch but does not depend on it
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cups (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Tim Waugh
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-26 05:37 EST by Juha Tuomala
Modified: 2010-03-30 04:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 04:15:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juha Tuomala 2009-02-26 05:37:13 EST
Description of problem:
cups package has cron job that runs tmpwatch but package does not depend on it and thus removing it leads to broken system.

Version-Release number of selected component (if applicable):
cups-1.2.4-11.18.el5_2.3

How reproducible:
always.

Steps to Reproduce:
1. yum install cups
2. yum remove tmpwatch
3. /etc/cron.daily/cups
  
Actual results:
/etc/cron.daily/cups: line 5: /usr/sbin/tmpwatch: No such file or directory


Additional info:
centos installation.
Comment 1 Juha Tuomala 2009-02-26 05:38:38 EST
cat /etc/redhat-release
CentOS release 5.2 (Final)
Comment 2 Sol Jerome 2009-07-17 09:41:29 EDT
I can confirm this on CentOS 5.3 as well.

From root@machine  Fri Jul 17 02:16:57 2009
Return-Path: <root@machine>
Received: from machine (localhost [127.0.0.1])
        by machine (8.13.8/8.13.8) with ESMTP id n6H7GvGr002630
        for <root@machine>; Fri, 17 Jul 2009 02:16:57 -0500
Received: (from root@localhost)
        by machine (8.13.8/8.13.8/Submit) id n6H7Gn1I001915;
        Fri, 17 Jul 2009 02:16:49 -0500
Date: Fri, 17 Jul 2009 02:16:49 -0500
Message-Id: <200907170716.n6H7Gn1I001915@machine>
From: root@machine (Cron Daemon)
To: root@machine
Subject: Cron <root@machine> run-parts /etc/cron.daily
Content-Type: text/plain; charset=UTF-8
Auto-Submitted: auto-generated
X-Cron-Env: <SHELL=/bin/bash>
X-Cron-Env: <PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin>
X-Cron-Env: <MAILTO=root>
X-Cron-Env: <HOME=/>
X-Cron-Env: <LOGNAME=root>
X-Cron-Env: <USER=root>

/etc/cron.daily/cups:

/etc/cron.daily/cups: line 5: /usr/sbin/tmpwatch: No such file or directory
Comment 8 errata-xmlrpc 2010-03-30 04:15:12 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0210.html

Note You need to log in before you can comment on or make changes to this bug.